<?php
/********************************************************/
/* NSN Your Account                                     */
/* By: NukeScripts Network (webmaster@nukescripts.fr)   */
/* http://www.nukescripts.fr                            */
/* Copyright © 2000-2004 by NukeScripts Network         */
/* ==================================================== */
/* Based from:                                          */
/* NSN YAT 320 from www.nukescripts.net                 */
/* Based from:                                          */
/* PHP-NUKE: Web Portal System                          */
/********************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
global $admin_file;
include_once("modules/Your_Account/language/lang-".$currentlang.".php");
include_once('modules/Your_Account/includes/functions.php');
include_once('modules/Your_Account/admin/functions.php');
$ya_config = ya_get_configs();
switch($op) {

    case "members":
        $pagetitle = ": "._USERADMIN;
        incoh();
        title(_USERADMIN);
        amain();
        incof();
    break;

    case 'addUser':include_once('modules/Your_Account/admin/adduser.php');break;
    case 'addUserConf':include_once('modules/Your_Account/admin/adduserconf.php');break;
    case 'approveUser':include_once('modules/Your_Account/admin/approveuser.php');break;
    case 'approveUserConf':include_once('modules/Your_Account/admin/approveuserconf.php');break;
    case 'autoSuspend':include_once('modules/Your_Account/admin/autosuspend.php');break;
    case 'deleteUser':include_once('modules/Your_Account/admin/deleteuser.php');break;
    case 'deleteUserConf':include_once('modules/Your_Account/admin/deleteuserconf.php');break;
    case 'denyUser':include_once('modules/Your_Account/admin/denyuser.php');break;
    case 'denyUserConf':include_once('modules/Your_Account/admin/denyuserconf.php');break;
    case 'detailsTemp':include_once('modules/Your_Account/admin/detailstemp.php');break;
    case 'detailsUser':include_once('modules/Your_Account/admin/detailsuser.php');break;
    case 'findTemp':include_once('modules/Your_Account/admin/findtemp.php');break;
    case 'findUser':include_once('modules/Your_Account/admin/finduser.php');break;
    case 'listnormal':include_once('modules/Your_Account/admin/listnormal.php');break;
    case 'listpending':include_once('modules/Your_Account/admin/listpending.php');break;
    case 'listresults':include_once('modules/Your_Account/admin/listresults.php');break;
    case 'modifyTemp':include_once('modules/Your_Account/admin/modifytemp.php');break;
    case 'modifyTempConf':include_once('modules/Your_Account/admin/modifytempconf.php');break;
    case 'modifyUser':include_once('modules/Your_Account/admin/modifyuser.php');break;
    case 'modifyUserConf':include_once('modules/Your_Account/admin/modifyuserconf.php');break;
    case 'promoteUser':include_once('modules/Your_Account/admin/promoteuser.php');break;
    case 'promoteUserConf':include_once('modules/Your_Account/admin/promoteuserconf.php');break;
    case 'removeUser':include_once('modules/Your_Account/admin/removeuser.php');break;
    case 'removeUserConf':include_once('modules/Your_Account/admin/removeuserconf.php');break;
    case 'resendMail':include_once('modules/Your_Account/admin/resendmail.php');break;
    case 'resendMailConf':include_once('modules/Your_Account/admin/resendmailconf.php');break;
    case 'restoreUser':include_once('modules/Your_Account/admin/restoreuser.php');break;
    case 'restoreUserConf':include_once('modules/Your_Account/admin/restoreuserconf.php');break;
    case 'searchUser':include_once('modules/Your_Account/admin/searchuser.php');break;
    case 'suspendUser':include_once('modules/Your_Account/admin/suspenduser.php');break;
    case 'suspendUserConf':include_once('modules/Your_Account/admin/suspenduserconf.php');break;
    case 'UsersConfig':include_once('modules/Your_Account/admin/userconfig.php');break;
    case 'UsersConfigSave':include_once('modules/Your_Account/admin/userconfigsave.php');break;
    case 'mod_users':include_once('modules/Your_Account/admin/index.php');break;
    case 'UsersChamps':include_once('modules/Your_Account/admin/userschamps.php');break;
    case 'UsersChampsSave':include_once('modules/Your_Account/admin/userschampssave.php');break;
    case 'UsersChampsActive':include_once('modules/Your_Account/admin/userschampsactive.php');break;
    case 'UsersChampsDeactive':include_once('modules/Your_Account/admin/userschampsdeactive.php');break;
    case 'UsersChampsEdit':include_once('modules/Your_Account/admin/userschampsedit.php');break;
    case 'UsersChampsEditSave':include_once('modules/Your_Account/admin/userschampseditsave.php');break;
    case 'UsersChampsDel':include_once('modules/Your_Account/admin/userschampsdel.php');break;
}